"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ControlChainInformation = exports.ChainInformation = exports.NativeCurrencyInformation = void 0;
const index_js_1 = require("../primitives/index.js");
class NativeCurrencyInformation {
    constructor(name, decimals, symbol, coinGeckoId) {
        this.name = name;
        this.decimals = decimals;
        this.symbol = symbol;
        this.coinGeckoId = coinGeckoId;
    }
}
exports.NativeCurrencyInformation = NativeCurrencyInformation;
class ChainInformation {
    constructor(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, getExplorerURL, etherscanEndpointURL, coinGeckoSlug) {
        this.name = name;
        this.chainId = chainId;
        this.chain = chain;
        this.chainTechnology = chainTechnology;
        this.isDev = isDev;
        this.networkName = networkName;
        this.averageBlockMiningTime = averageBlockMiningTime;
        this.nativeCurrency = nativeCurrency;
        this.type = type;
        this.explorerURL = explorerURL;
        this.getExplorerURL = getExplorerURL;
        this.etherscanEndpointURL = etherscanEndpointURL;
        this.coinGeckoSlug = coinGeckoSlug;
    }
}
exports.ChainInformation = ChainInformation;
class ControlChainInformation extends ChainInformation {
    constructor(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, consentFactoryContractAddress, crumbsContractAddress, metatransactionForwarderAddress, etherscanEndpointURL, coinGeckoSlug) {
        super(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, function (txHash) {
            return explorerURL + txHash;
        }, etherscanEndpointURL ? (0, index_js_1.URLString)(etherscanEndpointURL) : undefined, coinGeckoSlug);
        this.name = name;
        this.chainId = chainId;
        this.chain = chain;
        this.chainTechnology = chainTechnology;
        this.isDev = isDev;
        this.networkName = networkName;
        this.averageBlockMiningTime = averageBlockMiningTime;
        this.nativeCurrency = nativeCurrency;
        this.type = type;
        this.explorerURL = explorerURL;
        this.consentFactoryContractAddress = consentFactoryContractAddress;
        this.crumbsContractAddress = crumbsContractAddress;
        this.metatransactionForwarderAddress = metatransactionForwarderAddress;
        this.etherscanEndpointURL = etherscanEndpointURL;
        this.coinGeckoSlug = coinGeckoSlug;
    }
}
exports.ControlChainInformation = ControlChainInformation;
//# sourceMappingURL=ChainInformation.js.map