"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndexerSupportSummary = void 0;
const index_js_1 = require("../enum/index.js");
class IndexerSupportSummary {
    constructor(chain, balances, transactions, nfts) {
        this.chain = chain;
        this.balances = balances;
        this.transactions = transactions;
        this.nfts = nfts;
    }
    // Static methods are safer on business objects, because they survive serialization.
    static isMethodSupported(supportSummary, method) {
        if (method == index_js_1.EIndexerMethod.Balances) {
            return supportSummary.balances;
        }
        else if (method == index_js_1.EIndexerMethod.Transactions) {
            return supportSummary.transactions;
        }
        else if (method == index_js_1.EIndexerMethod.NFTs) {
            return supportSummary.nfts;
        }
        return false;
    }
}
exports.IndexerSupportSummary = IndexerSupportSummary;
//# sourceMappingURL=IndexerSupportSummary.js.map