import { WalletNFT } from "../businessObjects/WalletNFT.js";
import { EChain } from "../enum/index.js";
import { SolanaAccountAddress, SolanaTokenAddress, TickerSymbol } from "../primitives/index.js";
export declare class SolanaCollection {
    address: SolanaTokenAddress;
    verified: boolean;
    constructor(address: SolanaTokenAddress, verified: boolean);
}
export declare class SolanaNFT extends WalletNFT {
    chain: EChain;
    owner: SolanaAccountAddress;
    mint: SolanaTokenAddress;
    collection: SolanaCollection | null;
    metadataUri: string;
    isMutable: boolean;
    primarySaleHappened: boolean;
    sellerFeeBasisPoints: number;
    updateAuthority: SolanaAccountAddress;
    tokenStandard: number | null;
    symbol: TickerSymbol;
    name: string;
    constructor(chain: EChain, owner: SolanaAccountAddress, mint: SolanaTokenAddress, collection: SolanaCollection | null, metadataUri: string, isMutable: boolean, primarySaleHappened: boolean, sellerFeeBasisPoints: number, updateAuthority: SolanaAccountAddress, tokenStandard: number | null, symbol: TickerSymbol, name: string);
}
//# sourceMappingURL=SolanaNFT.d.ts.map