import { WalletNFT } from "../businessObjects/WalletNFT.js";
import { EChain } from "../enum/index.js";
import { TokenUri, BigNumberString, BlockNumber, UnixTimestamp, SuiAccountAddress, SuiTokenAddress } from "../primitives/index.js";
export declare class SuiCollection {
    address: SuiTokenAddress;
    verified: boolean;
    constructor(address: SuiTokenAddress, verified: boolean);
}
export declare class SuiNFT extends WalletNFT {
    token: SuiTokenAddress;
    tokenId: BigNumberString;
    contractType: string;
    owner: SuiAccountAddress;
    tokenUri: TokenUri | undefined;
    metadata: object | undefined;
    amount: BigNumberString;
    name: string;
    chain: EChain;
    blockNumber?: BlockNumber | undefined;
    lastOwnerTimeStamp?: UnixTimestamp | undefined;
    constructor(token: SuiTokenAddress, tokenId: BigNumberString, contractType: string, owner: SuiAccountAddress, tokenUri: TokenUri | undefined, metadata: object | undefined, amount: BigNumberString, name: string, chain: EChain, blockNumber?: BlockNumber | undefined, lastOwnerTimeStamp?: UnixTimestamp | undefined);
}
//# sourceMappingURL=SuiNFT.d.ts.map