"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionFlowInsight = void 0;
const index_js_1 = require("../../enum/index.js");
class TransactionFlowInsight {
    constructor(chainId, day, week, month, year, measurementTime) {
        this.chainId = chainId;
        this.day = day;
        this.week = week;
        this.month = month;
        this.year = year;
        this.measurementTime = measurementTime;
    }
    static additionOfMetrics(instance, newFlow) {
        TransactionFlowInsight.addNewTransactionMetrics(instance, index_js_1.ETimePeriods.Day, newFlow.day);
        TransactionFlowInsight.addNewTransactionMetrics(instance, index_js_1.ETimePeriods.Week, newFlow.week);
        TransactionFlowInsight.addNewTransactionMetrics(instance, index_js_1.ETimePeriods.Month, newFlow.month);
        TransactionFlowInsight.addNewTransactionMetrics(instance, index_js_1.ETimePeriods.Year, newFlow.year);
    }
    static addNewTransactionMetrics(instance, time, newMetrics) {
        switch (true) {
            case time === index_js_1.ETimePeriods.Day:
                TransactionFlowInsight.transactionMetricsAddition(instance.day, newMetrics);
                break;
            case time === index_js_1.ETimePeriods.Week:
                TransactionFlowInsight.transactionMetricsAddition(instance.week, newMetrics);
                break;
            case time === index_js_1.ETimePeriods.Month:
                TransactionFlowInsight.transactionMetricsAddition(instance.month, newMetrics);
                break;
            case time === index_js_1.ETimePeriods.Year:
                TransactionFlowInsight.transactionMetricsAddition(instance.year, newMetrics);
        }
    }
    static transactionMetricsAddition(instance, newMetrics) {
        instance.incomingCount += newMetrics.incomingCount;
        instance.incomingNativeValue += newMetrics.incomingNativeValue;
        instance.outgoingCount += newMetrics.outgoingCount;
        instance.outgoingNativeValue += newMetrics.outgoingNativeValue;
    }
}
exports.TransactionFlowInsight = TransactionFlowInsight;
//# sourceMappingURL=TransactionFlowInsight.js.map