"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdSignatureMigrator = exports.AdSignature = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
class AdSignature extends VersionedObject_js_1.VersionedObject {
    constructor(consentContractAddress, queryCID, adKey, signature) {
        super();
        this.consentContractAddress = consentContractAddress;
        this.queryCID = queryCID;
        this.adKey = adKey;
        this.signature = signature;
    }
    getVersion() {
        return AdSignature.CURRENT_VERSION;
    }
}
exports.AdSignature = AdSignature;
AdSignature.CURRENT_VERSION = 1;
class AdSignatureMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return AdSignature.CURRENT_VERSION;
    }
    factory(data) {
        return new AdSignature(data["consentContractAddress"], data["queryCID"], data["adKey"], data["signature"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.AdSignatureMigrator = AdSignatureMigrator;
//# sourceMappingURL=AdSignature.js.map