import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { EVMContractAddress, UnixTimestamp } from "../../primitives/index.js";
/**
 * This represents an invitation that has been rejected- either temporarily or permanently
 */
export declare class RejectedInvitation extends VersionedObject {
    consentContractAddress: EVMContractAddress;
    rejectUntil: UnixTimestamp | null;
    static CURRENT_VERSION: number;
    constructor(consentContractAddress: EVMContractAddress, rejectUntil: UnixTimestamp | null);
    getVersion(): number;
}
export declare class RejectedInvitationMigrator extends VersionedObjectMigrator<RejectedInvitation> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): RejectedInvitation;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=RejectedInvitation.d.ts.map