"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyError = void 0;
const errorCodes_js_1 = __importDefault(require("../errors/errorCodes.js"));
/**
 * This error is intended to represent any other error, but the error
 * was recieved via a proxy (iframe, injected from extension, etc.). It can be
 * very difficult to fully reconstruct the source error after passing over the
 * line, so most methods return this error. The source error is available in
 * the `src` property.
 */
class ProxyError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[ProxyError.name];
    }
}
exports.ProxyError = ProxyError;
//# sourceMappingURL=ProxyError.js.map